S3DW_INPUT_NEW(3)

NAME
s3dw_input_new - create a new input in the surface

SYNOPSIS

#include <s3dw.h>

s3dw_input *s3dw_input_new(const s3dw_surface *surface, float width, float posx, float posy);

DESCRIPTION

Creates a new input-box on the surface with a input width of "width", the upper left corner at (posx,posy) on the surface. The input-box is empty on creation and can be change with s3dw_input_change_text, and received with s3dw_input_gettext

See s3dw_input for information about callbacks which may be defined.

AUTHOR

Simon Wunderlich
    Author of s3d